@layer components {
    .input-wrapper {
            @apply relative flex w-[360px] min-w-[360px] max-w-full flex-col;
    
            &__labelText {
                @apply font-semibold text-darkGrey text-sm lg:text-base leading-[22px];
            }
    
            .inputOutlined {
                @apply min-h-[40px] order-none relative;
    
                &__input {
                    @apply min-h-[40px] outline-0 w-full border-solid border dark:border-darkGrey-tint-5 border-darkGrey-tint-5 rounded-[32px] font-medium bg-white;
                    @apply tablet:placeholder:text-base tablet:placeholder:font-normal tablet:placeholder:text-darkGrey-tint-5 tablet:text-base tablet:text-darkGrey;
                    @apply transition-all duration-300;
    
                    &:focus {
                        @apply border-solid border dark:border-primary border-secondary;
                    }
                }
    
                &__addonIconBefore,
                &__addonIconAfter {
                    @apply absolute top-1/2 transform -translate-y-1/2;
                }
    
                &__addonIconBefore {
                    @apply left-6;
                }
    
                &__addonIconAfter {
                    @apply right-6;
                }
            }
    
            .inputOutlined_focused {
                &::after {
                    @apply w-full;
                }
            }
    
            .inputStandard {
                @apply order-none relative;
    
                &__input {
                    @apply pl-3 h-12 outline-0 w-full border-solid border border-darkGrey-tint-4 font-medium bg-white rounded-lg;
                    @apply placeholder:leading-[140%] placeholder:tracking-[0.44px] tablet:placeholder:text-sm tablet:placeholder:font-normal tablet:placeholder:text-darkGrey-tint-6 tablet:text-base tablet:text-darkGrey;
                }
    
                &__addonIconBefore,
                &__addonIconAfter {
                    @apply absolute top-1/2 transform -translate-y-1/2;
                }
    
                &__addonIconAfter {
                    @apply right-7;
                }
    
                &__addonIconBefore {
                    @apply left-0;
                }
    
                &::after,
                &::before {
                    @apply transition-all duration-300 ease-in-out;
                }
    
                &::after {
                    @apply content-[''] absolute -bottom-[1px] left-0 right-0 w-0 h-[2px] m-auto bg-secondary dark:bg-primary;
                }
            }
    
            .inputStandard_focused {
                &::after {
                    @apply w-full;
                }
            }
    
            .inputStandard,
            .inputOutlined {
                input {
                    &:disabled {
                        cursor: not-allowed;
                    }
                }
            }
    }
}
